#include<bits/stdc++.h>
using namespace std;
int n,m;
long long a [30005];
long long b [30005];
int main()
{
    scanf("%d",&n);
    for(int i=1;i<=n;i++){
        scanf("%d", &m);
        for(int j=1;j<=m;j++){
            scanf("%d %d",&a[j],&b[j]);
            if(a[j]!=0 or b[j]!=0){
                cout<<"NE"<<endl;
            }else{
                cout<<"DA"<<endl;

            }
        }
    }
    return 0;
}